body {
  background-color: #0c0c0c;
  font-family: inter;
}

.main_container {
  position: relative;
  z-index: 1;
}

/* -------------------- Navbar -------------------- */

/* -------------------- Content -------------------- */
.content_body {
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: center;

  padding-top: 80px;
}

.content_container {
  width: calc(100% - 160px);
  height: calc(100vh - 115px);

  margin-top: 20px;
  display: flex;
  flex-direction: row;
  gap: 10px;
}

.desc_body {
  width: 25%;
  background-color: #91919108;
  border-radius: 10px;
  overflow-y: auto;
  height: 100%;

  backdrop-filter: blur(2px);
  -webkit-backdrop-filter: blur(2px);
}

.desc_container {
  padding: 20px;
  font-family: inter;
  color: #d9d9d9;
}

.title {
  font-size: 36px;
  font-weight: 900;
}

.desc {
  color: #d9d9d9;
  margin-top: 10px;
  font-size: 14px;
  font-weight: 200;
  line-height: 24px;
  text-align: justify;
}

.project-info {
  margin-top: 20px;
  padding: 15px;
  border-radius: 8px;
  background-color: rgba(255, 255, 255, 0.05);
  backdrop-filter: blur(6px);
  font-size: 14px;
  color: #d9d9d9;
}

.project-info ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

.project-info li {
  margin-bottom: 6px;
  line-height: 1.6;
}

.contact_form_and_btn_container {
  width: 100%;

  display: flex;
  flex-flow: column nowrap;
  align-items: center;

  margin-top: 40px;
}

.contact_form_container {
  width: calc(100% + 40px);

  display: flex;
  flex-flow: column nowrap;
  align-items: center;
  justify-content: flex-start;

  mask-image: linear-gradient(to bottom, #000, #000 90%, #0000);

  max-height: 0px;
  transition: max-height 1.5s;
}

.contact_form_body {
  margin-bottom: 50px;
  width: calc(100% - 40px);
}

.gform_wrapper {
  padding: 18px 23px;

  background-color: #91919108;
  border-radius: 10px;

  position: relative;
  z-index: 100;

  /* background: rgba(255, 255, 255, 0.05); */

  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.05);
  /* -webkit-backdrop-filter: blur(3px); */
  /* backdrop-filter: blur(3px); */
}

.gform_wrapper::before {
  /* background-color: red; */

  content: "";
  position: absolute;
  inset: 0; /* کل کادر */
  border-radius: inherit; /* گوشه‌ها مثل خود box */
  padding: 1px; /* ضخامت border */
  background: linear-gradient(-100deg, #fff1, #fff2);

  -webkit-mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);

  mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
  -webkit-mask-composite: xor;
  mask-composite: exclude;
  z-index: 9; /* پشت متن قرار بگیره */
}

.gform_heading .gform_title {
  font-family: inter;
  font-size: 18px;
  font-weight: 500;
  color: #fff;
}

.gform_heading .gform_description {
  font-family: inter;
  font-size: 16px;
  font-weight: 400;
  color: #fff;
}

.gform_body {
  position: relative;
  z-index: 200;
  margin-top: 14px;
}

.gform_footer {
  position: relative;
  z-index: 200;
  margin-bottom: 55px;
}

.gform-body label {
  display: none;
}

.gform-body input {
  background: unset;
  border: unset;
  color: #fff;

  width: calc(100% - 14px);
  border-bottom: 1px solid #fff;

  padding: 7px 7px;

  font-size: 16px;
  font-family: inter;
  font-weight: 300;

  /* margin-top: 25px; */
}

.gform_fields .gfield {
  margin: 25px 0;
}

.gform_fields .gfield--type-fileupload {
  margin: unset;
}

.gform_fields .gfield--type-fileupload .gfield_description {
  position: absolute;
  margin-top: 23px;
}

.gform_button[type="submit"] {
  width: 207px;
  height: 45px;
  background-color: #fff;
  border: 0;
  border-radius: 10px;
  font-family: inter;
  font-size: 14px;
  color: #0c0c0c;
  font-weight: 400;
  text-align: left;
  padding-left: 15px;
  background-image: url(../icons/contact/submit_line.svg);
  background-position: 167px center;
  background-repeat: no-repeat;
  background-size: 26px 2px;
  position: absolute;
  right: -34px;
  top: -32px;

  cursor: pointer;
}

.gform_validation_errors {
  margin-bottom: 40px;
}

.gform_submission_error {
  margin-bottom: 15px;

  font-size: 16px;
}

.gform_validation_errors ol {
  list-style-position: inside;
}

.gform_validation_errors ol li {
  font-size: 14px;

  margin-top: 5px;
  margin-bottom: 5px;

  color: darkred;
}

.gform_fields .gfield_description {
  margin-top: 5px;
  color: darkred;

  font-size: 14px;
}

.gfield--input-type-fileupload label {
  display: block;
  position: relative;

  left: 30px;

  font-size: 14px;
  font-weight: 400;
  font-family: inter;
  color: #fff;

  margin-top: 47px;
}

.gfield--input-type-fileupload label::before {
  content: " ";
  position: absolute;

  width: 22px;
  height: 19px;
  /* background-color: red; */
  left: -30px;

  background-image: url(../icons/contact/upload_file.svg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
}

.gfield--input-type-fileupload input[type="file"] {
  display: none;
}

.gform_fileupload_rules {
  display: none;
}

/*--------------------- button --------------------*/

.contact_form_btn_container {
  /* margin-top: 30px; */

  display: flex;
  flex-flow: column nowrap;
  align-items: center;
  cursor: pointer;
}

.contact_form_btn_body {
  width: 42px;
  height: 42px;
  background-color: #fff;
  border-radius: 10px;

  /* color: #101010;
  font-size: 25px;
  font-weight: 400; */

  display: flex;
  align-items: center;
  justify-content: center;
  flex-flow: row nowrap;
}

.contact_form_btn_plus_one {
  width: 12px;
  height: 2px;
  background-color: #101010;
}

.contact_form_btn_plus_two {
  width: 2px;
  height: 12px;
  background-color: #101010;

  position: absolute;

  transition: 0.75s;
}

.contact_form_btn_title {
  font-family: inter;
  font-size: 14px;
  color: #fff;
  font-weight: 500;

  margin-top: 10px;
}

/* -------------------- Picture -------------------- */

.pricture_container {
  width: 75%;
  border-radius: 10px;

  display: flex;
  flex-flow: column nowrap;
  justify-content: space-between;
}

.top_line_container {
  height: calc(100% - 200px);

  border-radius: 10px;
  display: flex;
  flex-flow: row nowrap;
  overflow: hidden;
}

.bottom_line_container {
  height: 190px;

  border-radius: 10px;
  display: flex;
  flex-flow: row nowrap;
  overflow: hidden;
}

.bottom_line_container a {
  text-decoration: none;
}

.swiper-wrapper {
  display: flex;
  flex-flow: row nowrap;
  gap: 10px;
}

.top_line_container .picture_project {
  flex: 0 0 auto;

  height: 100%;

  border-radius: 10px;
  overflow: hidden;
}

.picture_project img,
.documents_container img {
  height: 100%;
  /* width: 100%; */
}

.top_line_container img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.bottom_line_container .documents_container {
  flex: 0 0 auto;
  /* width: 330px; */
  height: 100%;

  border-radius: 10px;
  overflow: hidden;
}

.social_container {
  width: 160px;
  height: 190px;
  background-color: #91919108;
  border-radius: 10px;

  position: relative;
  z-index: 100;

  /* background: rgba(255, 255, 255, 0.05); */

  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.05);
  /* -webkit-backdrop-filter: blur(3px);
    backdrop-filter: blur(3px); */
}

.social_container::before {
  /* background-color: red; */

  content: "";
  position: absolute;
  inset: 0; /* کل کادر */
  border-radius: inherit; /* گوشه‌ها مثل خود box */
  padding: 1px; /* ضخامت border */
  background: linear-gradient(-100deg, #fff1, #fff2);

  -webkit-mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);

  mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
  -webkit-mask-composite: xor;
  mask-composite: exclude;
  z-index: 9; /* پشت متن قرار بگیره */
}

.social_body {
  width: 100%;
  height: 100%;

  display: flex;
  flex-flow: column nowrap;
  align-items: flex-start;
  justify-content: space-between;
  position: relative;
  z-index: 5000;
}

.social_body img {
  align-self: center;
  width: 64px;
  height: 64px;
  object-fit: contain;

  margin-top: 35px;
}

.social_info_container {
  padding-left: 15px;
  padding-bottom: 15px;
}

.social_name {
  font-size: 18px;
  line-height: 20px;
  font-family: inter;
  font-weight: 700;
  color: #fff;
}

.social_username {
  font-family: inter;
  font-size: 14px;
  line-height: 20px;
  font-weight: 300;
  font-style: italic;
  color: #fff;
  margin-top: 2px;
  display: none;
}

::-webkit-scrollbar {
  width: 6px;
  height: 6px;
}

::-webkit-scrollbar-track {
  background: transparent;
  border-radius: 10px;
}

::-webkit-scrollbar-thumb {
  background: linear-gradient(180deg, #555, #222);
  border-radius: 10px;
  border: 2px solid #0c0c0c;
}

::-webkit-scrollbar-thumb:hover {
  background: linear-gradient(180deg, #777, #444);
}

/* -------------------- Responsive -------------------- */

@media screen and (max-width: 1366px) {
  .navbar_container {
    width: calc(100% - 48px);
  }

  .content_container {
    width: calc(100% - 48px);
  }

  .desc_body {
    width: 30%;
  }
  .pricture_container {
    width: 70%;
  }
}

@media screen and (max-width: 992px) {
  .navbar_container {
    width: calc(100% - 48px);
  }
  .content_container {
    width: 100%;
    height: unset;
    position: absolute;
    top: 0;
    margin-top: 0;

    flex-flow: column-reverse;
  }

  .pricture_container {
    width: 100%;
    height: 600px;
    border-radius: 10px;
    row-gap: 5px;
  }

  .desc_body {
    width: 100%;
  }
}

@media screen and (max-width: 768px) {
  .navbar_container {
    width: calc(100% - 48px);
    z-index: 10;
    margin-top: 15px;
    border-radius: 15px;
    height: 35px;
    position: fixed;
  }
  .content_container {
    width: 100%;
    height: unset;
    position: absolute;
    top: 0;

    margin-top: 0;

    /* background-color: blue; */
    flex-flow: column-reverse;
  }
  .more_container {
    width: 42px;
    height: 42px;
    background-color: rgba(22, 22, 22, 0.05);
    backdrop-filter: blur(6px);
    border-radius: 10px;
  }

  .logo_container {
    width: 42px;
    height: 42px;
  }

  .more_icon {
    width: 27px;
    height: 19px;
  }

  .pricture_container {
    width: 100%;
    height: 500px;
    border-radius: 10px;
    row-gap: 5px;
  }

  .top_line_container,
  .bottom_line_container {
    gap: 10px;
  }
  .bottom_line_container {
    margin-top: 5px;
  }

  .desc_body {
    width: 100%;
  }
}
